package wusthelper.web.api.v2.undergrade;

import org.springframework.web.bind.annotation.*;
import wusthelper.web.api.v2.Token;
import wusthelper.web.response.Response;
import wusthelper.web.service.campus.GeneralUserLoginService;

@RestController
@RequestMapping("/jwc")
public class UndergradLoginController {
    private final GeneralUserLoginService generalUserLoginService;

    public UndergradLoginController(GeneralUserLoginService generalUserLoginService) {
        this.generalUserLoginService = generalUserLoginService;
    }

    @PostMapping("/login")
    public Response<String> login(@RequestParam(value = "username") String username,
                                  @RequestParam(value = "jwcPwd") String password,
                                  @RequestHeader(name = "Platform", required = false) String platform) {

        var user = generalUserLoginService.login(username, password, GeneralUserLoginService.UserType.Undergrad);

        String token = Token.signToken(user.getUid(), user.getStuNum());

        return Response.success(token);
    }
}